ORIGIN		= Symantec C++
ORIGIN_VER	= Version 7.20
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= WTOOLS
APPTYPE		= WINDOWS LIB
PROJTYPE	= LIB

CC		= SC
CPP		= SPP
MAKE		= SMAKE
RC		= RCC
HC		= HC31
ASM		= SC
DISASM		= OBJ2ASM
LNK		= LINK
DLLS		= 

HEADERS		= ..\..\..\sc\include\string.h ..\..\..\sc\include\stdio.h ..\..\..\sc\include\stdlib.h  \
		..\..\..\sc\include\ctype.h ..\..\..\sc\include\time.h ..\..\..\sc\include\bios.h ..\..\..\sc\include\assert.h  \
		..\..\..\sc\include\io.h ..\..\..\sc\include\dos.h ..\..\..\sc\include\fcntl.h ..\..\..\sc\include\limits.h  \
		..\..\..\sc\include\math.h ..\..\..\sc\include\stddef.h ..\..\..\sc\include\windows.h ..\..\..\sc\include\win16\windows.h  \
		..\..\..\sc\include\fstream.h ..\..\..\sc\include\disp.h ..\..\..\sc\include\stdarg.h ..\..\..\sc\include\generic.h  \
		..\..\..\sc\include\errno.h ..\..\..\sc\include\iostream.h ..\..\..\SC\INCLUDE\commdlg.h ..\..\..\SC\INCLUDE\dirent.h  \
		..\..\..\SC\INCLUDE\sys\dirent.h ..\..\..\SC\INCLUDE\sys\types.h ..\..\..\SC\INCLUDE\unistd.h ..\..\..\SC\INCLUDE\win16\commdlg.h  \
		..\include\allwx.hpp ..\..\..\wxwin16\include\base\wx.h ..\..\..\wxwin16\include\base\wx_setup.h ..\..\..\wxwin16\include\base\wx_defs.h  \
		..\..\..\wxwin16\include\base\wx_ver.h ..\..\..\wxwin16\include\base\wx_mem.h ..\..\..\wxwin16\include\msw\wx_win.h ..\..\..\wxwin16\include\base\wb_win.h  \
		..\..\..\wxwin16\include\base\wx_obj.h ..\..\..\wxwin16\include\base\wx_stdev.h ..\..\..\wxwin16\include\base\wx_sysev.h ..\..\..\wxwin16\include\base\wx_types.h  \
		..\..\..\wxwin16\include\base\wx_hash.h ..\..\..\wxwin16\include\base\wx_list.h ..\..\..\wxwin16\include\msw\wx_frame.h ..\..\..\wxwin16\include\base\wb_frame.h  \
		..\..\..\wxwin16\include\msw\wx_dc.h ..\..\..\wxwin16\include\msw\wx_gdi.h ..\..\..\wxwin16\include\base\wb_gdi.h ..\..\..\wxwin16\include\base\wb_dc.h  \
		..\..\..\wxwin16\include\msw\wx_dccan.h ..\..\..\wxwin16\include\base\wb_dccan.h ..\..\..\wxwin16\include\msw\wx_dcmem.h ..\..\..\wxwin16\include\base\wb_dcmem.h  \
		..\..\..\wxwin16\include\base\wx_dcps.h ..\..\..\wxwin16\include\msw\wx_canvs.h ..\..\..\wxwin16\include\base\wb_canvs.h ..\..\..\wxwin16\include\msw\wx_panel.h  \
		..\..\..\wxwin16\include\base\wb_panel.h ..\..\..\wxwin16\include\msw\wx_dcpan.h ..\..\..\wxwin16\include\base\wb_dcpan.h ..\..\..\wxwin16\include\msw\wx_buttn.h  \
		..\..\..\wxwin16\include\base\wb_buttn.h ..\..\..\wxwin16\include\msw\wx_item.h ..\..\..\wxwin16\include\base\wb_item.h ..\..\..\wxwin16\include\msw\wx_check.h  \
		..\..\..\wxwin16\include\base\wb_check.h ..\..\..\wxwin16\include\msw\wx_choic.h ..\..\..\wxwin16\include\base\wb_choic.h ..\..\..\wxwin16\include\msw\wx_messg.h  \
		..\..\..\wxwin16\include\base\wb_messg.h ..\..\..\wxwin16\include\msw\wx_lbox.h ..\..\..\wxwin16\include\base\wb_lbox.h ..\..\..\wxwin16\include\msw\wx_rbox.h  \
		..\..\..\wxwin16\include\base\wb_rbox.h ..\..\..\wxwin16\include\msw\wx_txt.h ..\..\..\wxwin16\include\base\wb_txt.h ..\..\..\wxwin16\include\msw\wx_mtxt.h  \
		..\..\..\wxwin16\include\base\wb_mtxt.h ..\..\..\wxwin16\include\msw\wx_slidr.h ..\..\..\wxwin16\include\base\wb_slidr.h ..\..\..\wxwin16\include\msw\wx_group.h  \
		..\..\..\wxwin16\include\base\wb_group.h ..\..\..\wxwin16\include\msw\wx_menu.h ..\..\..\wxwin16\include\base\wb_menu.h ..\..\..\wxwin16\include\msw\wx_mnuit.h  \
		..\..\..\wxwin16\include\base\wb_mnuit.h ..\..\..\wxwin16\include\msw\wx_text.h ..\..\..\wxwin16\include\base\wb_text.h ..\..\..\wxwin16\include\msw\wx_main.h  \
		..\..\..\wxwin16\include\base\wx_mgstr.h ..\..\..\wxwin16\include\base\wb_main.h ..\..\..\wxwin16\include\msw\wx_dialg.h ..\..\..\wxwin16\include\base\wb_dialg.h  \
		..\..\..\wxwin16\include\base\wx_utils.h ..\..\..\wxwin16\include\msw\wx_cmdlg.h ..\..\..\wxwin16\include\base\wb_cmdlg.h ..\..\..\wxwin16\include\base\wx_lay.h  \
		..\include\dcutils.hpp ..\include\datafile.hpp ..\include\dbeditor.hpp ..\include\dcwindow.hpp  \
		..\include\dcdlist.hpp ..\include\dbexpr.hpp ..\include\dbf.hpp ..\include\dcarray.hpp  \
		..\include\dcindex.hpp ..\include\btree.h ..\include\dcexpr.hpp ..\include\dcerror.hpp  \
		..\include\dcstr.hpp ..\include\dbstate.hpp ..\include\dch.hpp ..\include\hasharry.hpp  \
		..\include\hashfile.hpp ..\include\winmenu.hpp ..\..\..\wxwin16\include\base\wb_combo.h ..\..\..\wxwin16\include\msw\wx_combo.h  \
		..\..\..\wxwin16\include\base\wb_gauge.h ..\..\..\wxwin16\include\msw\wx_gauge.h 

DEFFILE		= WTOOLS.DEF

!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

LIBS		= 

CFLAGS		=  -cpp -Jm -HO -ml -C -WA -NV -S -s -Ns -R -2 -a2 -c -H -g -gd 
LFLAGS		=  /CO /L /PACKF /XU /A:16
DEFINES		= -Dwx_msw -D__MSDOS__ -D_MSC_VER
!ELSE
OUTPUTDIR	= release
!IF EXIST (release)
CREATEOUTPUTDIR	=
!ELSE
CREATEOUTPUTDIR	= if not exist $(OUTPUTDIR)\*.* md $(OUTPUTDIR)
!ENDIF
TARGETDIR	= release
!IF EXIST (release)
CREATETARGETDIR	=
!ELSE
CREATETARGETDIR	= if not exist $(TARGETDIR)\*.* md $(TARGETDIR)
!ENDIF

LIBS		= 

CFLAGS		=  -ml -WA -NV -s -Ns -R -2 -a2 -c 
LFLAGS		=  /DE /E /PACKF /REO /WI /XU /A:16
DEFINES		= -Dwx_msw -D__MSDOS__ -D_MSC_VER
!ENDIF

HFLAGS		= $(CFLAGS) 
MFLAGS		= MASTERPROJ=$(PROJ) 
LIBFLAGS	=  /C 
RESFLAGS	=  
DEBUGGERFLAGS	=  -LOADSYMBOLS 
AFLAGS		= $(CFLAGS) 
HELPFLAGS	= 

MODEL		= L

PAR		= PROJS BATS OBJS

RCDEFINES	= 

INCLUDES	= -I..\include -I\wxwin16\include\msw -I\wxwin16\include\base

INCLUDEDOBJS	= 

OBJS		= btree.OBJ allwlib.OBJ datafile.OBJ  \
		dbexpr.OBJ dbf.OBJ dbstate.OBJ dcarray.OBJ  \
		dcerror.OBJ dcexpr.OBJ dch.OBJ dcindex.OBJ  \
		dcstr.OBJ hasharry.OBJ hashfile.OBJ wxdbedit.OBJ  \
		wxdclist.OBJ wxdcwin.OBJ wxmenu.OBJ 

RCFILES		= 

RESFILES	= 

SYMS		=  .\allwx.SYM 

HELPFILES	= 

PROJS		= 

BATS		= 

PRECOMPILE	=  D?C?BZORTECH?BDCPPT?BSRC?Bbtree?Pprj 

POSTCOMPILE	=  D?C?BZORTECH?BDCPPT?BSRC?Bmakelib?Pmak 

POSTLINK	= 

.SUFFIXES: .C .CP .CPP .CXX .CC .H .HPP .HXX .COM .EXE .DLL .LIB .RTF .DLG .ASM .RES .RC .OBJ 

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CC.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cc

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o.\$(*B).sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o.\$(*B).sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o.\$(*B).sym $*.hxx

.C.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)   $*.c   -o$*.lst

.CPP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cpp -o$*.lst

.CXX.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cxx -o$*.lst

.CP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cp  -o$*.lst

.CC.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cc  -o$*.lst

.ASM.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.asm -o$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ -c

.OBJ.EXE:
	$(LNK) $(LFLAGS) @$(PROJ).LNK

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.asm

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc -o$*.res

.DLG.RES:
	echo ^#include "windows.h" >$$$*.rc
	echo ^IF EXIST "$*.h" >>$$$*.rc
	echo ^#include "$*.h" >>$$$*.rc
	echo ^#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:	createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)

$(TARGETDIR)\$(PROJ).$(PROJTYPE): $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(RCFILES) $(RESFILES) $(HELPFILES) 
			-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 +btree.OBJ +allwlib.OBJ +datafile.OBJ &
		 +dbexpr.OBJ +dbf.OBJ +dbstate.OBJ +dcarray.OBJ &
		 +dcerror.OBJ +dcexpr.OBJ +dch.OBJ +dcindex.OBJ &
		 +dcstr.OBJ +hasharry.OBJ +hashfile.OBJ +wxdbedit.OBJ &
		 +wxdclist.OBJ +wxdcwin.OBJ +wxmenu.OBJ
<<
			-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)
			-echo $(TARGETDIR)\$(PROJ).$(PROJTYPE) built

_done:
		-echo $(PROJ).$(PROJTYPE) done

buildall:	clean	all


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del $(OUTPUTDIR)\SCPH.SYM
		-del WTOOLS.dpd
		-del $(OBJS)
		-del .\allwx.SYM
		cd \zortech\dcppt\src\.
		$(MAKE) -fbtree.MAK $(MFLAGS) "SUB_DEBUG=$(DEBUG)" $@
		cd \zortech\dcppt\src\.
		$(MAKE) -fmakelib.MAK $(MFLAGS) "SUB_DEBUG=$(DEBUG)" $@

cleanres:

res:		cleanres $(RCFILES) all


link:
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 +btree.OBJ +allwlib.OBJ +datafile.OBJ &
		 +dbexpr.OBJ +dbf.OBJ +dbstate.OBJ +dcarray.OBJ &
		 +dcerror.OBJ +dcexpr.OBJ +dch.OBJ +dcindex.OBJ &
		 +dcstr.OBJ +hasharry.OBJ +hashfile.OBJ +wxdbedit.OBJ &
		 +wxdclist.OBJ +wxdcwin.OBJ +wxmenu.OBJ
<<
		-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)

D?C?BZORTECH?BDCPPT?BSRC?Bbtree?Pprj:
		cd \zortech\dcppt\src\.
		$(MAKE) -fbtree.MAK "SUB_DEBUG=$(DEBUG)"

D?C?BZORTECH?BDCPPT?BSRC?Bmakelib?Pmak:
		cd \zortech\dcppt\src\.
		$(MAKE) -fmakelib.mak $(MFLAGS) "SUB_DEBUG=$(DEBUG)"




!IF EXIST (WTOOLS.dpd)
!INCLUDE WTOOLS.dpd
!ENDIF
.\allwx.SYM: ..\include\allwx.hpp
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF.\allwx.SYM -o.\allwx.OBJ ..\include\allwx.hpp



