ORIGIN		= Symantec C++
ORIGIN_VER	= Version 7.20
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= WQDB
APPTYPE		= WINDOWS EXE
PROJTYPE	= EXE

CC		= SC
CPP		= SPP
MAKE		= SMAKE
RC		= RCC
HC		= HC31
ASM		= SC
DISASM		= OBJ2ASM
LNK		= LINK
DLLS		= 

HEADERS		= ..\..\wxwin16\include\base\wx.h ..\..\wxwin16\include\base\wx_lay.h ..\..\SC\INCLUDE\commdlg.h  \
		..\..\wxwin16\include\base\wb_cmdlg.h ..\..\wxwin16\include\msw\wx_cmdlg.h ..\..\wxwin16\include\base\wx_utils.h ..\..\wxwin16\include\base\wb_dialg.h  \
		..\..\wxwin16\include\msw\wx_dialg.h ..\..\wxwin16\include\base\wb_main.h ..\..\wxwin16\include\base\wx_mgstr.h ..\..\wxwin16\include\msw\wx_main.h  \
		..\..\wxwin16\include\base\wb_text.h ..\..\wxwin16\include\msw\wx_text.h ..\..\wxwin16\include\base\wb_mnuit.h ..\..\wxwin16\include\msw\wx_mnuit.h  \
		..\..\wxwin16\include\base\wb_menu.h ..\..\wxwin16\include\msw\wx_menu.h ..\..\wxwin16\include\base\wb_group.h ..\..\wxwin16\include\msw\wx_group.h  \
		..\..\wxwin16\include\base\wb_slidr.h ..\..\wxwin16\include\msw\wx_slidr.h ..\..\wxwin16\include\base\wb_mtxt.h ..\..\wxwin16\include\msw\wx_mtxt.h  \
		..\..\wxwin16\include\base\wb_txt.h ..\..\wxwin16\include\msw\wx_txt.h ..\..\wxwin16\include\base\wb_rbox.h ..\..\wxwin16\include\msw\wx_rbox.h  \
		..\..\wxwin16\include\base\wb_lbox.h ..\..\wxwin16\include\msw\wx_lbox.h ..\..\wxwin16\include\base\wb_messg.h ..\..\wxwin16\include\msw\wx_messg.h  \
		..\..\wxwin16\include\base\wb_choic.h ..\..\wxwin16\include\msw\wx_choic.h ..\..\wxwin16\include\base\wb_check.h ..\..\wxwin16\include\msw\wx_check.h  \
		..\..\wxwin16\include\base\wb_item.h ..\..\wxwin16\include\msw\wx_item.h ..\..\wxwin16\include\base\wb_buttn.h ..\..\wxwin16\include\msw\wx_buttn.h  \
		..\..\wxwin16\include\base\wb_dcpan.h ..\..\wxwin16\include\msw\wx_dcpan.h ..\..\wxwin16\include\base\wb_panel.h ..\..\wxwin16\include\msw\wx_panel.h  \
		..\..\wxwin16\include\base\wb_canvs.h ..\..\wxwin16\include\msw\wx_canvs.h ..\..\wxwin16\include\base\wx_dcps.h ..\..\wxwin16\include\base\wb_dcmem.h  \
		..\..\wxwin16\include\msw\wx_dcmem.h ..\..\wxwin16\include\base\wb_dccan.h ..\..\wxwin16\include\msw\wx_dccan.h ..\..\wxwin16\include\base\wb_dc.h  \
		..\..\wxwin16\include\base\wb_gdi.h ..\..\wxwin16\include\msw\wx_gdi.h ..\..\wxwin16\include\msw\wx_dc.h ..\..\wxwin16\include\base\wb_frame.h  \
		..\..\wxwin16\include\msw\wx_frame.h ..\..\wxwin16\include\base\wx_list.h ..\..\wxwin16\include\base\wx_hash.h ..\..\wxwin16\include\base\wx_types.h  \
		..\..\wxwin16\include\base\wx_sysev.h ..\..\wxwin16\include\base\wx_stdev.h ..\..\wxwin16\include\base\wx_obj.h ..\..\wxwin16\include\base\wb_win.h  \
		..\..\wxwin16\include\msw\wx_win.h ..\..\wxwin16\include\base\wx_mem.h ..\..\wxwin16\include\base\wx_ver.h ..\..\wxwin16\include\base\wx_defs.h  \
		..\..\wxwin16\include\base\wx_setup.h ..\dcppt\include\dcerror.hpp ..\dcppt\include\allwx.hpp ..\..\SC\INCLUDE\stdio.h  \
		..\..\SC\INCLUDE\stddef.h ..\..\SC\INCLUDE\string.h ..\..\SC\INCLUDE\windows.h ..\..\SC\INCLUDE\win16\windows.h  \
		..\..\SC\INCLUDE\iostream.h ..\..\SC\INCLUDE\fstream.h ..\..\SC\INCLUDE\win16\commdlg.h ..\..\SC\INCLUDE\stdarg.h  \
		..\..\SC\INCLUDE\errno.h ..\dcppt\include\dch.hpp ..\dcppt\include\dbexpr.hpp ..\dcppt\include\dbf.hpp  \
		..\dcppt\include\dbeditor.hpp ..\dcppt\include\dcwindow.hpp ..\dcppt\include\dcdlist.hpp ..\..\SC\INCLUDE\generic.h  \
		..\dcppt\include\dcarray.hpp ..\..\SC\INCLUDE\stdlib.h ..\dcppt\include\datafile.hpp ..\..\SC\INCLUDE\io.h  \
		..\dcppt\include\dcindex.hpp ..\dcppt\include\btree.h ..\dcppt\include\dcexpr.hpp ..\dcppt\include\dcstr.hpp  \
		..\..\SC\INCLUDE\math.h ..\dcppt\include\winmenu.hpp ..\dcppt\include\dbstate.hpp ..\dcppt\include\dcutils.hpp  \
		..\..\SC\INCLUDE\ctype.h ..\..\SC\INCLUDE\time.h ..\..\wxwin16\include\base\wb_ipcob.h ..\..\wxwin16\include\msw\wx_ipcob.h  \
		..\..\wxwin16\include\base\wb_ipc.h ..\..\wxwin16\include\msw\wx_ipc.h ..\..\SC\INCLUDE\bios.h ..\..\SC\INCLUDE\assert.h  \
		..\..\SC\INCLUDE\dos.h ..\..\SC\INCLUDE\fcntl.h ..\..\SC\INCLUDE\limits.h ..\..\SC\INCLUDE\direct.h  \
		..\..\wxwin16\include\base\wx_help.h ..\..\SC\INCLUDE\ddeml.h ..\..\SC\INCLUDE\win16\ddeml.h ..\..\wxwin16\include\base\wb_combo.h  \
		..\..\wxwin16\include\msw\wx_combo.h ..\..\wxwin16\include\base\wb_gauge.h ..\..\wxwin16\include\msw\wx_gauge.h 

DEFFILE		= wqdb.def

!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

LIBS		= ..\..\WXWIN16\CONTRIB\CTL3D\MSVC\CTL3DV2.LIB ..\..\WXWIN16\LIB\WX.LIB ..\..\SC\LIB\DDEML.LIB LIBW.LIB COMMDLG.LIB SHELL.LIB 

CFLAGS		=  -Jm -HO -ml -C -WA -NV -s -Ns -R -GT2000 -2 -a2 -c -g -gd 
LFLAGS		=  /CO /PACKF /XU /A:16 /RC -k -31 :wqdb.RES
DEFINES		= -Dwx_msw -D__MSDOS__ -D_MSC_VER -DUSE_DCERROR
!ELSE
OUTPUTDIR	= release
!IF EXIST (release)
CREATEOUTPUTDIR	=
!ELSE
CREATEOUTPUTDIR	= if not exist $(OUTPUTDIR)\*.* md $(OUTPUTDIR)
!ENDIF
TARGETDIR	= release
!IF EXIST (release)
CREATETARGETDIR	=
!ELSE
CREATETARGETDIR	= if not exist $(TARGETDIR)\*.* md $(TARGETDIR)
!ENDIF

LIBS		= ..\..\WXWIN16\CONTRIB\CTL3D\MSVC\CTL3DV2.LIB ..\..\WXWIN16\LIB\WX.LIB ..\..\SC\LIB\DDEML.LIB LIBW.LIB COMMDLG.LIB SHELL.LIB 

CFLAGS		=  -ml -WA -NV -Ns -R -2 -a2 -c 
LFLAGS		=  /DE /E /PACKF /WI /XU /A:16 /RC -k -31 :release\wqdb.RES
DEFINES		= -Dwx_msw -D__MSDOS__ -DUSEDCERROR -D_MSC_VER
!ENDIF

HFLAGS		= $(CFLAGS) 
MFLAGS		= MASTERPROJ=$(PROJ) 
LIBFLAGS	=  /C 
RESFLAGS	=  
DEBUGGERFLAGS	=  -LOADSYMBOLS 
AFLAGS		= $(CFLAGS) 
HELPFLAGS	= 

MODEL		= L

PAR		= PROJS BATS OBJS

RCDEFINES	= 

INCLUDES	= -I..\dcppt\include -I\wxwin16\include\msw -I\wxwin16\include\base -I\wxwin16\contrib\fafa

INCLUDEDOBJS	= 

OBJS		= wqdb.OBJ ..\DCPPT\SRC\BTREE.OBJ ..\DCPPT\SRC\ALLWX.OBJ  \
		..\DCPPT\SRC\DATAFILE.OBJ ..\DCPPT\SRC\DBEXPR.OBJ ..\DCPPT\SRC\DBF.OBJ ..\DCPPT\SRC\DBSTATE.OBJ  \
		..\DCPPT\SRC\DCARRAY.OBJ ..\DCPPT\SRC\DCERROR.OBJ ..\DCPPT\SRC\DCEXPR.OBJ ..\DCPPT\SRC\DCH.OBJ  \
		..\DCPPT\SRC\DCINDEX.OBJ ..\DCPPT\SRC\DCSTR.OBJ ..\DCPPT\SRC\WXDBEDIT.OBJ ..\DCPPT\SRC\WXDCLIST.OBJ  \
		..\DCPPT\SRC\WXDCWIN.OBJ ..\DCPPT\SRC\WXMENU.OBJ 

RCFILES		=  wqdb.RES 

RESFILES	= 

SYMS		= 

HELPFILES	= 

BATS		= 

.SUFFIXES: .C .CP .CPP .CXX .CC .H .HPP .HXX .COM .EXE .DLL .LIB .RTF .DLG .ASM .RES .RC .OBJ 

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CC.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cc

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hxx

.C.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)   $*.c   -o$*.lst

.CPP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cpp -o$*.lst

.CXX.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cxx -o$*.lst

.CP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cp  -o$*.lst

.CC.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cc  -o$*.lst

.ASM.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.asm -o$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ -c

.OBJ.EXE:
	$(LNK) $(LFLAGS) @$(PROJ).LNK

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.asm

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc -o$*.res

.DLG.RES:
	echo ^#include "windows.h" >$$$*.rc
	echo ^IF EXIST "$*.h" >>$$$*.rc
	echo ^#include "$*.h" >>$$$*.rc
	echo ^#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:	createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)

$(TARGETDIR)\$(PROJ).$(PROJTYPE): $(OBJS) $(INCLUDEDOBJS) $(RCFILES) $(RESFILES) $(HELPFILES) $(DEFFILE)
			-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
			$(LNK) $(LFLAGS) @$(PROJ).LNK;
			-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)
			-echo $(TARGETDIR)\$(PROJ).$(PROJTYPE) built

_done:
		-echo $(PROJ).$(PROJTYPE) done

buildall:	clean	all


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del $(OUTPUTDIR)\SCPH.SYM
		-del WQDB.dpd
		-del $(OBJS)
		-del wqdb.RES

cleanres:
		-del wqdb.RES

res:		cleanres $(RCFILES) all


link:
		$(LNK) $(LFLAGS) @$(PROJ).LNK;
		-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)




!IF EXIST (WQDB.dpd)
!INCLUDE WQDB.dpd
!ENDIF


